%define pfx /opt/freescale/rootfs/%{_target_cpu}

Summary         : Reads and writes data across network connections using TCP or UDP
Name            : nc
Version         : 1.84
Release         : 16fc9
License         : GPL+
Vendor          : UNKNOWN(Freescale)
Packager        : UNKNOWN(LTIB addsrpms)
Group           : Applications/Internet
URL             : http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/nc/
Source0          : nc-1.84.tar.bz2
Patch0          : nc-1.84-glib.patch
Patch1          : nc-1.78-pollhup.patch
Patch2          : nc-1.82-reuseaddr.patch
Patch3          : nc-gcc_signess.patch
Patch4          : nc-1.84-connect_with_timeout.patch
Patch5          : nc-1.84-udp_stop.patch
Patch6          : nc-1.84-udp_port_scan.patch
Patch7          : nc-1.84-crlf.patch
Patch8          : nc-1.84-verb.patch
Patch9          : nc-1.84-man.patch
Patch10          : nc-1.84-gcc4.3.patch
BuildRoot       : %{_tmppath}/%{name}
Prefix          : %{pfx}

%Description
%{summary}

NOTE: this was imported by ltib -m addsrpms nc-1.84-16.fc9.src.rpm

%Prep

%setup -q -n nc
%patch0 -p1
%patch1 -p1 -b .pollhup
%patch2 -p1 -b .reuseaddr
%patch3 -p1 -b .gcc
%patch4 -p1 -b .timeout
%patch5 -p1 -b .udp_stop
%patch6 -p0 -b .port_scan
%patch7 -p1 -b .crlf
%patch8 -p1 -b .verb
%patch9 -p1 -b .man
%patch10 -p1 -b .gcc


%Build
gcc $RPM_OPT_FLAGS -Werror `pkg-config --cflags --libs glib-2.0` netcat.c atomicio.c socks.c -o nc


%Install
rm -rf ${RPM_BUILD_ROOT}
install -d ${RPM_BUILD_ROOT}/%{pfx}/%{_prefix}/bin
install -m 755 nc ${RPM_BUILD_ROOT}/%{pfx}/%{_prefix}/bin
install -d ${RPM_BUILD_ROOT}%{pfx}/%{_prefix}/man/man1
install -m 644 nc.1 ${RPM_BUILD_ROOT}/%{pfx}/%{_prefix}/man/man1


%Clean
rm -rf $RPM_BUILD_ROOT

%Files
%defattr(-,root,root)
%{pfx}/*
